#include <iostream>
#include <string>
#include <cstring>
#include <stdlib.h>
#include <cmath>
using namespace std;
main()
{
	string r = "";
	char c[2];
	char c1, c2;
	int a1, a2;
	gets (c);
	scanf("%d %d", &a1, &a2);
	//cin >> a1 >> a2;
	c1 = c[0];
	c2 = c[1];
	char p[a1 + a2 - 1];
	if(abs(a1 - a2) >= 2)
	{
		r = "nemoguce";
	}
	else
	{
		if(a1 > a2)
		{
			for(int i = 1; i <= (a1 + a2); i = i+2)
			{
				p[i - 1] = c1;
				if(i < a1 + a2)
				p[i] = c2;
			}
		} 
		else if(a2 > a1)
		{
			for(int i = 1; i <= (a1 + a2); i = i+2)
			{
				p[i - 1] = c2;
				if(i < a1 + a2)
				p[i] = c1;
			}
		} 
		else 
		{
			for(int i = 1; i <= (a1 + a2); i = i+2)
			{
				p[i - 1] = c2;
				p[i] = c1;
			}
		} 
		r = p;
	}
	cout << r;
}